#include <iostream>

int sum(int n){
    int p=1;
    for(int i=2; i<=n; i++){
        p+=i;
    }
    
    return p;
}

int main()
{
    int t, n, k, m;
    
    std::cin >> t;
    
    for(int i=0; i<t; i++){
        std::cin >> n >> m >> k;
        
        int sum_n = sum(n);
        if(m >= sum_n*k){
            std::cout << "Tak\n";
        }
        else{
            std::cout << "Nie\n";
        }
    }
    
    return 0;
}